Last Comment Bug 789602 - reftest harness should print pixel delta information on the UNEXPECTED-FAIL line
: reftest harness should print pixel delta information on the UNEXPECTED-FAIL line
Status: RESOLVED FIXED
[qa-]
:
Product: Testing
Classification: Components
Component: Reftest (show other bugs)
: Trunk
: All All
: -- normal (vote)
: mozilla18
Assigned To: David Baron :dbaron: ⌚️UTC-10
:
:
Mentors:
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2012-09-07 14:57 PDT by David Baron :dbaron: ⌚️UTC-10
Modified: 2014-02-17 03:54 PST (History)
4 users (show)
See Also:
Crash Signature:
(edit)
QA Whiteboard:
Iteration: ---
Points: ---
fixed


Attachments
patch (2.46 KB, patch)
2012-09-07 14:57 PDT, David Baron :dbaron: ⌚️UTC-10
ted: review+
Details | Diff | Splinter Review

Description David Baron :dbaron: ⌚️UTC-10 2012-09-07 14:57:47 PDT
Created attachment 659368 [details] [diff] [review]
patch

Right now the reftest harness prints the pixel errors (number of pixels and maximum color difference) below the images.  Since they're not on the same line as the TEST-UNEXPECTED-FAIL, they don't end up in intermittent-orange bugs.  In some cases, having it in the bugs would be very useful for annotating the problem as a known failure.

This would, however, be very useful data to have on intermittent orange bugs, so we ought to have this on the same line as the TEST-UNEXPECTED-FAIL message.
Comment 1 David Baron :dbaron: ⌚️UTC-10 2012-09-14 14:16:55 PDT
https://hg.mozilla.org/integration/mozilla-inbound/rev/acb63df12b7a
Comment 2 Ryan VanderMeulen [:RyanVM] 2012-09-14 18:15:21 PDT
https://hg.mozilla.org/mozilla-central/rev/acb63df12b7a
Comment 3 Ed Morley [:emorley] 2012-10-15 05:44:28 PDT
Landed on beta so we have this for ESR17 for the next year.

https://hg.mozilla.org/releases/mozilla-beta/rev/8739f223b6e2
Comment 4 David Baron :dbaron: ⌚️UTC-10 2014-02-16 16:08:23 PST
https://hg.mozilla.org/integration/mozilla-inbound/rev/e8c41ecfc045
Comment 5 Carsten Book [:Tomcat] 2014-02-17 03:54:54 PST
https://hg.mozilla.org/mozilla-central/rev/e8c41ecfc045

Note You need to log in before you can comment on or make changes to this bug.